Reset Search
 

 

Article

KB44003 - procfsd process snapshot are generated for Pulse Connect Secure and Pulse Policy Secure 9.0R3 and 9.0R3.1.

« Go Back

Information

 
Last Modified Date1/25/2019 12:31 PM
Synopsis
This article describes the issue of profsd process snapshots are created after upgrading Pulse Connect Secure / Pulse Policy Secure device to 9.0R3 and 9.0R3.1.
Problem or Goal
After upgrading to 9.0R3 and above, PCS/PPS devices generates a critical event: ERR31093- Program procfsd recently failed if SNMP is enabled :
critical - [127.0.0.1] - System()[] - 2019/01/16 22:20:41 - tacnode1 - Program procfsd recently failed.
Cause
The issue occurs due to a buffer overflow issue in 9.0R3 and above. This issue does impact snmp functionality and may generated multiple repeated messages about the process crashing in event log.

This issue occurs when the all conditions are met:
  • Running PCS/PPS 9.0R3 and 9.0R3.1.  This does not impact any other release branches.
  • SNMP (v2/v3) is enabled
  • Large number of active VPN tunnel interfaces
Solution
Pulse Secure has identified the problem and resolved in Pulse Connect Secure (PCS) 9.0R3.2 which is now available for download in our Support Portal.

In the short term, the following workaround can be implemented for appliances running below 9.0R3.2 version.


Workaround: 

  • Disable SNMP
Related Links
Attachment 1 
Created ByBiju Kadavil

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255